Skip to main content
`Ctrl`+`K`

# scipy.special.wright_bessel

scipy.special.wright_bessel(a, b, x, out=None) = <ufunc 'wright_bessel'>

  Wright’s generalized Bessel function.

  Wright’s generalized Bessel function is an entire function and defined as

  \[\Phi(a, b; x) = \sum_{k=0}^\infty \frac{x^k}{k! \Gamma(a k + b)}\]

  See Also [1].

  Parameters:
    a array_like of float

      a >= 0

    b array_like of float

      b >= 0

    x array_like of float

      x >= 0

    out ndarray, optional

      Optional output array for the function results

  Returns:
    scalar or ndarray

      Value of the Wright’s generalized Bessel function

  Notes

  Due to the complexity of the function with its three parameters, only non-negative arguments are implemented.

  Added in version 1.7.0.

  References

  [1]

  Digital Library of Mathematical Functions, 10.46. https://dlmf.nist.gov/10.46.E1

  Examples

      >>> from scipy.special import wright_bessel
      >>> a, b, x = 1.5, 1.1, 2.5
      >>> wright_bessel(a, b-1, x)
      4.5314465939443025

  Now, let us verify the relation

  \[\Phi(a, b-1; x) = a x \Phi(a, b+a; x) + (b-1) \Phi(a, b; x)\]

      >>> a * x * wright_bessel(a, b+a, x) + (b-1) * wright_bessel(a, b, x)
      4.5314465939443025